Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/20335/?format=api
{ "ob_id": 20335, "uuid": "142052b9dc754f6da47a631e35ec4609", "title": "ESA Sea Level Climate Change Initiative (Sea_Level_cci): Time series of gridded Sea Level Anomalies (SLA), Version 2.0", "abstract": "As part of the European Space Agency's (ESA) Sea Level Climate Change Initiative (CCI) project, a multi-satellite merged time series of monthly gridded Sea Level Anomalies (SLA) has been produced from satellite altimeter measurements. The Sea Level Anomaly grids have been calculated after merging the altimetry mission measurements together into monthly grids, with a spatial resolution of 0.25 degrees. This version of the product is Version 2.0. \r\n\r\nThe following DOI can be used to reference the monthly Sea Level Anomaly product: DOI: 10.5270/esa-sea_level_cci-MSLA-1993_2015-v_2.0-201612\r\n\r\nThe complete collection of v2.0 products from the Sea Level CCI project can be referenced using the following DOI: 10.5270/esa-sea_level_cci-1993_2015-v_2.0-201612\r\n\r\nWhen using or referring to the Sea Level cci products, please mention the associated DOIs and also use the following citation where a detailed description of the Sea Level_cci project and products can be found:\r\n\r\nAblain, M., Cazenave, A., Larnicol, G., Balmaseda, M., Cipollini, P., Faugère, Y., Fernandes, M. J., Henry, O., Johannessen, J. A., Knudsen, P., Andersen, O., Legeais, J., Meyssignac, B., Picot, N., Roca, M., Rudenko, S., Scharffenberg, M. G., Stammer, D., Timms, G., and Benveniste, J.: Improved sea level record over the satellite altimetry era (1993–2010) from the Climate Change Initiative project, Ocean Sci., 11, 67-82, doi:10.5194/os-11-67-2015, 2015.\r\n\r\nFor further information on the Sea Level CCI products, and to register for these projects please email: info-sealevel@esa-sealevel-cci.org\r\n", "keywords": "ESA CCI, SLA", "publicationState": "published", "dataPublishedTime": "2017-01-24T17:43:03", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/20336/?format=api", "dataPath": "/neodc/esacci/sea_level/data/L4/MSLA/v2.0/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1296675468, "numberOfFiles": 553, "fileFormat": "Data are in NetCDF format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5339/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/11787/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50415/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50417/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60438/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88512/?format=api" ], "dataLineage": "Data was produced by the ESA SL CCI team and was transferred to CEDA as part of the ESA CCI Open Data Portal project. ", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13331/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12684/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79034/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79035/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79036/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79038/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79037/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105179/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105355/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79032/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79033/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2584/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_sealevel_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }